# $Revision: 1.30 $, $Date: 2006/11/16 19:36:17 $
Summary:	Advanced, easy to use, asynchronous-capable DNS client library
Summary(pl):	Zaawansowana, prosta w uyciu, asynchroniczna biblioteka kliencka DNS
Summary(ru):	  DNS    
Summary(uk):	̦ ¦̦ DNS  צ  Ԧ
Name:		adns
Version:	1.4
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	ftp://ftp.chiark.greenend.org.uk/users/ian/adns/%{name}-%{version}.tar.gz
# Source0-md5:	88bc7bbf3f62a8d4fb186b8f72ead853
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.chiark.greenend.org.uk/~ian/adns/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
adns is a resolver library for C (and C++) programs. In contrast with
the existing interfaces, gethostbyname et al and libresolv, it has the
following features:
- It is reasonably easy to use for simple programs which just want to
  translate names to addresses, look up MX records, etc.
- It can be used in an asynchronous, non-blocking, manner. Many
  queries can be handled simultaneously.
- Responses are decoded automatically into a natural representation
  for a C program - there is no need to deal with DNS packet formats.
- Sanity checking (eg, name syntax checking, reverse/forward
  correspondence, CNAME pointing to CNAME) is performed automatically.
- Time-to-live, CNAME and other similar information is returned in an
  easy-to-use form, without getting in the way.
- There is no global state in the library; resolver state is an opaque
  data structure which the client creates explicitly. A program can have
  several instances of the resolver.
- Errors are reported to the application in a way that distinguishes
  the various causes of failure properly.
- Understands conventional resolv.conf, but this can overridden by
  environment variables.
- Flexibility. For example, the application can tell adns to: ignore
  environment variables (for setuid programs), disable sanity checks eg
  to return arbitrary data, override or ignore resolv.conf in favour of
  supplied configuration, etc.
- Believed to be correct ! For example, will correctly back off to TCP
  in case of long replies or queries, or to other nameservers if several
  are available. It has sensible handling of bad responses etc.

%description -l pl
adns jest bibliotek rozwizywania nazw dla programw w C (i C++). W
przeciwiestwie do pozostaych interfejsw - gethostbyname itd. oraz
libresolv, ma nastpujce moliwoci:
- Jest atwa w uyciu dla prostych programw, ktre maj tylko
  tumaczy nazwy na adresy, szuka rekordw MX itp.
- Moe by uywana w sposb asynchroniczny, nieblokujcy; wiele
  zapyta moe by obsugiwanych jednoczenie.
- Odpowiedzi s dekodowane automatycznie do reprezentacji naturalnej
  dla programw w C - nie trzeba obsugiwa formatw pakietw DNS
- Sprawdzanie poprawnoci (skadni, zgodnoci rekordw odwrotnych i
  prostych, CNAME wskazujcych na CNAME) jest automatyczne.
- TTL, CNAME i podobne informacje s zwracane w postaci atwej do
  wykorzystania
- Nie ma globalnego stanu w bibliotece; stan resolvera jest struktur
  danych tworzon przez klienta. Program moe trzyma wiele instancji
  resolvera.
- Bdy s zgaszane aplikacji w sposb rozrniajcy przyczyny.
- Rozumie konwencjonalny plik resolv.conf, ale to moe by zmienione
  przez zmienne rodowiskowe.
- Konfigurowalno. Na przykad aplikacja moe kaza adns: ignorowa
  zmienne rodowiskowe (dla programw setuid), wyczy sprawdzanie
  poprawnoci, zignorowa resolv.conf na rzecz wasnej konfiguracji.
- Podobno jest poprawna! Na przykad, prawidowo przecza si na TCP
  w przypadku dugich zapyta lub odpowiedzi, albo na inne serwery jeli
  jest kilka dostpnych. Ma rozsdn obsug zych odpowiedzi.

%description -l ru
adns -       C ( C++).  
  , gethostbyname    libresolv.
   :
-       , 
        ,  MX , 
  ..
-   ,  . 
     .
-       C 
   -       DNS .
-    (,  
   ,     , CNAME,
    CNAME)  .
-    (TTL), CNAME    
       .
-     ,    
    .
-   resolv.conf,      
  .
- . ,    adns: 
    ( setuid ),  
      ,   , 
  resolv.conf.     ..
-  ! ,    TCP 
      ,     , 
   .      ..

%description -l uk
adns -  ¦̦     C ( C++).  צͦ
צ  Ӧ, gethostbyname  Φ  libresolv, 
 Φ Ԧ:
-       , ˦ 
     ,  MX , .
-   ,  . 
  Ԧ   .
- צĦ    Τ  C 
  צ -  ȦԦ     DNS .
- צ  Φ (, צ ϧ
  Ԧ Φ, צצΦ    צ,
  CNAME,  դ  CNAME) դ .
-    (TTL), CNAME   Ħ æ  
  ˦   ͦ.
-  צ Φ ͦ  ,  ҦΦ
     Ҧ .
- ͦ  resolv.conf,     צͦ ͦ
  .
- ˦. ,    adns:  ͦΦ
   ( setuid ), צ צ Ԧ 
       ,  resolv.conf,
    Ʀæ  .
-  ! ,    TCP 
    צצ  Ԧ,   ۦ  , 
   ˦.    צצ  .

%package devel
Summary:	Asynchronous-capable DNS client library - development files
Summary(pl):	Asynchroniczna biblioteka kliencka DNS - pliki dla programistw
Summary(ru):	      adns
Summary(uk):	     ¦̦ adns
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Asynchronous-capable DNS client library - development files.

%description devel -l pl
Asynchroniczna biblioteka kliencka DNS - pliki dla programistw.

%description devel -l ru
adns -       C ( C++).  
 ,    .

%description devel -l uk
adns -  ¦̦     C ( C++).  
ͦ , ȦΦ   .

%package static
Summary:	Asynchronous-capable DNS client library - static library
Summary(pl):	Asynchroniczna biblioteka kliencka DNS - wersja statyczna
Summary(ru):	       adns
Summary(uk):	Φ ¦̦     ¦̦ adns
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Asynchronous-capable DNS client library - static library.

%description static -l pl
Asynchroniczna biblioteka kliencka DNS - biblioteka statyczna.

%description static -l ru
adns -       C ( C++).  
     .

%description static -l uk
adns -  ¦̦     C ( C++).  
ͦ Φ ¦¦̦   .

%package progs
Summary:	Asynchronous-capable DNS client library - utility programs
Summary(pl):	Asynchroniczna biblioteka kliencka DNS - narzdzia
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description progs
DNS utility programs: adns also comes with a number of utility
programs for use from the command line and in scripts:
- adnslogres is a much faster version of Apache's logresolv program,
- adnsresfilter is a filter which copies its input to its output,
  replacing IP addresses by the corresponding names, without unduly
  delaying the output. For example, you can usefully pipe the output of
  netstat -n, tcpdump -ln, and the like, into it.
- adnshost is a general-purpose DNS lookup utility which can be used
  easily in from the command line and from shell scripts to do simple
  lookups. In a more advanced mode it can be used as a general-purpose
  DNS helper program for scripting languages which can invoke and
  communicate with subprocesses.

%description progs -l pl
Narzdzia DNS: adns przychodzi z paroma programami narzdziowymi do
uytku z linii polece lub w skryptach:
- adnslogres to o wiele szybsza wersja programu logresolv z Apache
- adnsresfilter to filtr kopiujcy wejcie na wyjcie zamieniajc
  adresy IP na nazwy, bez niepotrzebnych opnie. Na przykad moesz na
  wejcie wpuci wyjcie z netstat -n, tcpdump -ln itp.
- adnshost to oglnego przeznaczenia narzdzie do odpytywania DNS,
  proste w uyciu z linii polece i skryptw powoki.

%prep
%setup -q
%patch0 -p1

%build
# aclocal.m4 is only local, don't run aclocal
%{__autoconf}
%configure \
	--enable-dynamic
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libadns.so.*.* libadns.so

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO changelog
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: adns.spec,v $
Revision 1.30  2006/11/16 19:36:17  qboosh
- updated to 1.4

Revision 1.29  2006/08/22 10:25:29  glen
- rel 3

Revision 1.28  2006/08/20 13:18:53  qboosh
- fixed libadns.so symlink, release 2

Revision 1.27  2006/07/27 15:45:21  tommat
- up to 1.3
- removed already aplied patches

Revision 1.26  2004/10/24 19:57:19  paladine
- spaces->tabs
- cleanups

Revision 1.25  2004/08/20 10:09:53  pluto
- ready for AC.
- release 4.

Revision 1.24  2004/08/18 22:56:51  pluto
- license updated.

Revision 1.23  2004/05/24 20:56:32  pluto
- gcc 3.4 fix.

Revision 1.22  2004/04/03 06:33:22  qboosh
- release 3

Revision 1.21  2004/03/29 19:02:49  qboosh
- strict internal deps, don't run aclocal (only broke build)

Revision 1.20  2003/11/23 22:36:56  speedy
- release 2, ac

Revision 1.19  2003/09/22 12:36:17  trojan
- updated to 1.1

Revision 1.18  2003/08/09 18:21:51  snurf
- fixed typo in pl desc

Revision 1.17  2003/08/06 16:05:02  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.16  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:45:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/12/12 01:33:17  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.13  2002/10/09 13:14:16  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.12  2002/09/07 11:06:20  kloczek
- release 4: use new %doc.

Revision 1.11  2002/05/21 23:12:40  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.10  2002/04/25 15:41:56  arturs
- fixed a small typo

Revision 1.9  2002/02/23 01:13:37  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/02/13 22:45:09  ankry
- added desc from KSI; adapterized
- release 3

Revision 1.6  2002/01/18 02:12:18  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/12/02 14:11:04  kloczek
- release 2.

Revision 1.4  2001/11/21 13:33:03  qboosh
- pl translations, equal subpackages requires

Revision 1.3  2001/11/19 02:14:54  kloczek
- fixed %description for prog.

Revision 1.2  2001/11/19 02:14:04  kloczek
- first PLD release.
  Based on MDK spec.
